package com.persagy.dmp.storage.service.impl;

import com.persagy.dmp.common.exception.BusinessException;
import jdk.nashorn.internal.runtime.regexp.joni.exception.InternalException;
import lombok.extern.slf4j.Slf4j;

import java.io.IOException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;

/**
 * MinIO异常处理
 * @author Charlie Yu
 * @date 2021-05-15
 */
@Slf4j
public class HdfsExceptionHandler {

    /**
     * Minio异常处理
     * @param e 异常
     */
    public static void handleException(Exception e) {
        log.error(e.getMessage(), e);
        if(e instanceof InvalidKeyException) {
            throw new BusinessException("文件服务器-密钥有误");
        }
        if(e instanceof NoSuchAlgorithmException) {
            throw new BusinessException("文件服务器密钥有误");
        }
        if(e instanceof InternalException) {
            throw new BusinessException("文件服务器-内部错误。");
        }
        if(e instanceof IOException) {
            throw new BusinessException("文件服务器-连接异常。");
        }
        throw new BusinessException(e.getMessage(), e);
    }
}
